<?php
/***************************************\
|			PHP OPTIMISATEUR			|
|	  Plugin CreateCustomThumbs 1.1		|
\***************************************/

## Cre des miniatures de taille fixe
## Dpend de la valeur de $DIMthumbnail

// CreateCustomThumbs  la priorit sur ConvertPan
if (isset($PluginsProcess['convert_pan']) OR !isset($BlockThumbnail)) { 
	$DIMthumbnailV = $PluginsProcess['create_custom_thumbs']['DIMthumbnailV']; // Hauteur de l'image
	$max = max($DIMthumbnail, $DIMthumbnailV);

	// on prend la miniature au milieu de l'image
	if ($FileInfos['Height'] >= $FileInfos['Width']) {
		$resize_param = $max.' 0';
		$tmp_x = $max;
		$tmp_y = $max * $FileInfos['Height'] / $FileInfos['Width'];
	} else {
		$resize_param = '0 '.$max;
		$tmp_x = $max * $FileInfos['Width'] / $FileInfos['Height'];
		$tmp_y = $max;
	}
	
	$offset_x = ($tmp_x - $DIMthumbnail) / 2;
	$offset_y = ($tmp_y - $DIMthumbnailV) / 2;
	
	exec('files\nconvert.exe -overwrite -q '.$Qthumbnail.' -out jpeg -o "'.$FileFolder.'/thumbnail/'.$prefixe_mini.$FileName.'" -dpi 72 '.$convOptions.' -resize '.$resize_param.' -crop '.$offset_x.' '.$offset_y.' '.$DIMthumbnail.' '.$DIMthumbnailV.' -rmeta -rexifthumb 	"'.$FilesSource[$i].'"');
	
	$BlockThumbnail = true;
}
?>