<?php
/***************************************\
|			PHP OPTIMISATEUR			|
|	  Plugin Front2Back Support 1.1		|
\***************************************/

## Déplace les versions alternatives dans 'thumbnail/verso'
## Crée la version alternative hd dans 'pwg_high/verso'
## Supprime le suffixe et déplace aussi les fichiers du repertoire source

$NAMEverso = $PluginsProcess['front2back_support']['NAMEverso']; // Suffixe des versions alternatives
$MOVEverso = $PluginsProcess['front2back_support']['MOVEverso']; // Déplacer les images originales dans un sous dosssier 'verso'

if (strpos($FileName, $NAMEverso) !== false) {
	$FileNameClean = str_replace($NAMEverso, '', $FileName);
	
	// Image normale
	if (!file_exists($FileFolder.'/thumbnail/verso')) {
		mkdir($FileFolder.'/thumbnail/verso');
	}
	exec('files\nconvert.exe -q '.$Qnormal.' -out jpeg -o "'.$FileFolder.'/thumbnail/verso/'.$FileNameClean.'" -dpi 72 '.$convOptions.' -resize '.$DIMnormal.' '.$DIMnormal.' '.$copyNormal.' "'.$FilesSource[$i].'"');
	
	// Image hd
	if ($DIRhighORNOT) {
		if (!file_exists($FileFolder.'/pwg_high/verso')) {
			mkdir($FileFolder.'/pwg_high/verso');
		}
		if ($DIMhdORNOT) {
			exec('files\nconvert.exe -q '.$Qhd.' -out jpeg -o "'.$FileFolder.'/pwg_high/verso/'.$FileNameClean.'" -dpi '.$DPI.' '.$convOptions.' -resize '.$DIMhd.' '.$DIMhd.' '.$copyHD.' "'.$FilesSource[$i].'"');
		} else {
			copy($FilesSource[$i], $FileFolder.'/pwg_high/verso/'.$FileNameClean);
		}
	}
	
	// Déplacement de l'image originale
	if ($MOVEverso) {
		$FileFolderSource = str_replace(substr($DIRsortie,0,-1), substr($DIRsource,0,-1), $FileFolder);
		if (!file_exists($FileFolderSource.'/verso')) {
			mkdir($FileFolderSource.'/verso', 0777, true);
		}
		rename($FileFolderSource.'/'.$FileName, $FileFolderSource.'/verso/'.$FileNameClean);
	}
	
	$BlockNormal = true;
	$BlockThumbnail = true;
	$BlockHigh = true;
}
?>